var apis = {
    url: 'https://www.wgink.ink/businesscard/',
    userCenter: 'https://192.168.0.103:7001/usercenter/',
    cardUrl: 'https://www.wgink.ink/businesscard/',
    baseImgUrl: 'https://www.wgink.ink/businesscard/route/file/download/true/',
    /**店铺相关 **/
    doSaveShop: `app/shop/save`, //保存商店
    doUpdateShopInfo: `app/shop/updateshop/{shopId}`, //更新店铺信息
    getIndustryList: `app/industry/listztreeindustry`, //获取行业类型列表
    delStaff: `app/shopstaff/remove/{ids}`, //删除职工信息
    doDelMember: `app/shopmember/remove/{ids}`, //删除会员信息
    getShopDetail: `app/shop/get/{shopId}`, //获取店铺详情
    doDelShop: `app/shop/remove/{ids}`, //删除商店
    doSavePosition: `app/shopposition/save`, //保存职位,
    getMemberList: `app/shopmember/getShopMemberList/{shopId}`, //获取会员列表
    getPositionList: `app/shopposition/getShopPositlist/{shopId}`, //获取职位列表
    getMineShopList: `app/shop/myListPage`, //获取我的全部商店
    delPosition: `app/shopposition/remove/{ids}`, //删除职位
    getStaffList: `app/shopstaff/getShopStafList/{shopId}`, //获取职工列表
    getGoodsDetail: `app/shopgoods/get/{goodsId}`, //获取商品详情
    getShopCode: `app/shop/getshopcode/{shopId}/{type}`, //获取店铺二维码  type 1员工  2会员
    getAuthenticationInfo: `app/shopcertification/businessLicenseOCR/{id}`, //根据上传的图片ID获取上传营业执照内容
    doAuthentication: `app/shopcertification/save`, //进行认证
    getShopAuthenticationInfo: `app/shopcertification/get/{shopCertificationId}`, //获取店铺认证信息
    doUpdateAuthenticationInfo: `app/shopcertification/updateshopcertification/{shopCertificationId}`, //更新店铺认证信息
    /**商品相关 **/
    doSaveStaff: ``, //保存职工信息
    getCatalogList: `app/category/listztreecategory/{level}`, //获取商品类目列表
    getShopGoodsList: `app/shopgoods/listpageshopgoods/{shopId}`, //根据店铺ID获取商品
    getGoodsByCatalogAndShop: `app/shopgoods/goodslistbycategoryid/{categoryId}`, //根据分类和店铺ID获取商品 请求参数shopId:params
    doSaveCatalog: `app/category/savecategory`, //添加商品类目
    doDelCatelog: `app/category/removecategory/{ids}`, //删除商品类目
    getCatalogDetail: `app/category/getcategorybyid/{categoryId}`, //根据ID获取类目详情
    doUpdateCatalog: `app/category/updatecategory/{categoryId}`, //修改类目详情
    doSaveGoods: `app/shopgoods/save`, //添加商品
    doDelGoods: `app/shopgoods/remove/{ids}`, //删除商品
    doUpdateGoods: `app/shopgoods/updateshopgoods/{shopGoodsId}`, //更新商品信息
    doDelShopCategoryById: `app/category/removecategory/{ids}`, //删除商店类目
    getShopCatalogList: `app/category/categorylistbyshopid/{shopId}`, //获取店铺分类商品
    doSaveOrder: `app/orderdetail/save`, //提交订单 POST
    getMineOrderList: `app/order/listpageorder`, //我的订单列表
    getOrderDetail: `app/order/get/{orderId}`, //获取订单详情
    doUploadImg: `app/file/uploadimage`, //上传图片
    doUploadVideo: `app/file/uploadvideo`, //上传视频
    doUploadAudio: `app/file/uploadaudio`, //上传音频
    //个人中心列表
    getMenuList: `app/menuconfig/list-ztree`, //获取个人中心菜单
    getButtonConfig: `app/menuconfig/get-button-config`, //判断是否显示发布按钮
    getMomentsCatelogList: `app/columnmng/list`, //获取栏目列表
    doSaveMomentsCagelog: `app/usercolumn/save-more`, //保存选择的栏目
    getMineMomentsCategoryList: `app/usercolumn/list-by-creator-title`, //获取自己选中的栏目
    doDelMineCategory: `app/usercolumn/remove/{ids}`, //删除自己选中的栏目
    getColumnDetail: `app/usercolumn/get/{userColumnId}`, //获取栏目详情
    getMineMomentsList: `app/usercolumndata/listpageusercolumndata`, //获取栏目内容列表
    doSaveMoments: `app/usercolumndata/save`, //保存
    doUpdateMoments: `app/usercolumndata/update/{userColumnDataId}`, //更新发布的内容
    getMomentsDetail: `app/usercolumndata/get/{userColumnDataId}`, //获取栏目内容详情
    getHomeData: `app/usercolumndata/list-my-creator`, //获取首页栏目数据
    getShareUserMoment: `app/usercolumndata/list-my-creator-id/{userId}`, //获取分享首页数据
    getShareMomentList: `app/usercolumndata/list-page-by-userId`, //获取分享栏目更多列表
    doDelMoment: `app/usercolumndata/delete/{ids}`, //删除栏目数据
}

module.exports = {
    apis
}